aboutsummaryrefslogtreecommitdiff
path: root/infra/libkookie/nixpkgs/pkgs/applications/misc/llpp/fix-build-bash.patch
diff options
context:
space:
mode:
Diffstat (limited to 'infra/libkookie/nixpkgs/pkgs/applications/misc/llpp/fix-build-bash.patch')
-rw-r--r--infra/libkookie/nixpkgs/pkgs/applications/misc/llpp/fix-build-bash.patch28
1 files changed, 15 insertions, 13 deletions
diff --git a/infra/libkookie/nixpkgs/pkgs/applications/misc/llpp/fix-build-bash.patch b/infra/libkookie/nixpkgs/pkgs/applications/misc/llpp/fix-build-bash.patch
index fbc341c8af78..c12828f2d94d 100644
--- a/infra/libkookie/nixpkgs/pkgs/applications/misc/llpp/fix-build-bash.patch
+++ b/infra/libkookie/nixpkgs/pkgs/applications/misc/llpp/fix-build-bash.patch
@@ -1,8 +1,9 @@
diff --git a/build.bash b/build.bash
index 7c278b6..41494c5 100755
+with manual adjustments
--- a/build.bash
+++ b/build.bash
-@@ -29,7 +29,6 @@ srcd="$(dirname $0)"
+@@ -30,7 +30,6 @@ srcd="$(dirname $0)"
mudir=$outd/mupdf
muinc="-I $mudir/include -I $mudir/thirdparty/freetype/include"
@@ -10,25 +11,25 @@ index 7c278b6..41494c5 100755
mkdir -p $outd/{$wsid,lablGL}
:>$outd/ordered
-@@ -39,12 +38,6 @@ isfresh() { test -r "$1.past" && . "$1.past" && test "$k" = "$2"; }
- mbt=${mbt:-native}
- mulibs="$mudir/build/$mbt/libmupdf.a" # $mudir/build/$mbt/libmupdf-third.a
+@@ -41,12 +40,6 @@ isfresh() { test -r "$1.past" && . "$1.past" && test "$k" = "$2"; }
+ mulibst="$mudir/build/$mbt/libs"
+ mulibs="$mudir/build/$mbt/libmupdf.a $mudir/build/$mbt/libmupdf-third.a"
-keycmd="(cd $mudir && make -q build=$mbt libs && echo); digest $mulibs"
--isfresh "$mulibs" "$(eval $keycmd)" || (
+-isfresh "$mulibst" "$(eval $keycmd)" || (
- make -C "$mudir" build=$mbt -j $mjobs libs
-- eval $keycmd >$mudir/build/$mbt/libmupdf.a.past
+- eval $keycmd >${mulibst}.past
-) && vecho "fresh mupdf"
-
oincs() {
local i=
local incs1=
-@@ -89,34 +82,6 @@ mflags() {
+@@ -100,35 +93,6 @@ mflags() {
}
overs="$(ocamlc -vnum 2>/dev/null)" || overs=""
--test "$overs" = "4.10.0" || {
-- url=https://caml.inria.fr/pub/distrib/ocaml-4.10/ocaml-4.10.0.tar.xz
+-test "$overs" = "4.11.1" || {
+- url=https://caml.inria.fr/pub/distrib/ocaml-4.11/ocaml-4.11.1.tar.xz
- txz=$outd/$(basename $url)
- keycmd="printf $url; digest $txz;"
- isfresh $txz "$(eval $keycmd)" || {
@@ -48,7 +49,8 @@ index 7c278b6..41494c5 100755
- tar xf $txz -C $outd
- bn=$(basename $url)
- cd $outd/${bn%.tar.xz}
-- ./configure --disable-ocamldoc --enable-debugger=no --prefix=$absprefix
+- ./configure --disable-ocamldoc --disable-ocamltest \
+- --enable-debugger=no --prefix=$absprefix
- make -j $mjobs world
- make install
- eval $keycmd >$absprefix/bin/ocamlc.past
@@ -58,7 +60,7 @@ index 7c278b6..41494c5 100755
ccomp=${LLPP_CC-$(ocamlc -config | grep "^c_compiler: " | \
{ read _ c; echo $c; })}
-@@ -230,7 +195,7 @@ bobjc() {
+@@ -243,7 +208,7 @@ bobjc() {
} && vecho "fresh $o"
}
@@ -67,12 +69,12 @@ index 7c278b6..41494c5 100755
cmd="(. $srcd/genconfstr.sh >$outd/confstruct.ml)"
keycmd="digest $srcd/genconfstr.sh $outd/confstruct.ml"
-@@ -284,7 +249,7 @@ for m in ml_gl ml_glarray ml_raw; do
+@@ -291,7 +256,7 @@ for m in ml_gl ml_glarray ml_raw; do
done
libs="str.cma unix.cma"
-clibs="-L$mudir/build/$mbt -lmupdf -lmupdf-third -lpthread"
-+clibs="-lmupdf -lfreetype -lpthread"
++clibs="-lmupdf -lmupdf-third -lfreetype -lgumbo -ljpeg -lopenjp2 -ljbig2dec -llcms2 -lharfbuzz -lpthread -lz"
if $darwin; then
mcomp=$(ocamlc -config | grep bytecomp_c_co | { read _ c; echo $c; })
clibs="$clibs -framework Cocoa -framework OpenGL"